Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.query
Class ContentQueryNode

    java.lang.Object
      com.bea.p13n.expression.internal.parser.ast.Node
          com.bea.p13n.expression.internal.parser.ast.CompositeNode
              com.bea.p13n.content.query.ContentQueryNode

All Implemented Interfaces
  Serializable

    public class ContentQueryNode

extends com.bea.p13n.expression.internal.parser.ast.CompositeNode

Class `ContentQueryNode` is a simple representation of a node in an instance of the contentquery-1_1.xsd schema.

It captures element differentiation through basic name assignment. As such, a tree composed from the contentquery schema will only contain `ContentQueryNode`s and leaf `TextNode`s for elements containing raw text data.

To convert a ContentQueryNode to a content query expression, use a `RulesContentQuery`.

See Also
  Serialized Form

Field Summary

Fields inherited from class com.bea.p13n.expression.internal.parser.ast.Node
`NO_COLUMN_NUMBER, NO_LINE_NUMBER`

Constructor Summary
`ContentQueryNode(String name)`

Method Summary
`Object` | `accept(com.bea.p13n.expression.internal.parser.ast.Visitor visitor, Object data)`
`String` | `getName()`
`String` | `toString()`

Methods inherited from class com.bea.p13n.expression.internal.parser.ast.CompositeNode
`addChild, childrenAccept, getAttribute, getSourceEndColumnNumber, getSourceEndLineNumber, iterateAttributes, iterateChildren, numChildren, setAttribute, setSourceEndColumnNumber, setSourceEndLineNumber`

Methods inherited from class com.bea.p13n.expression.internal.parser.ast.Node
`getSourceColumnNumber, getSourceLineNumber, setSourceColumnNumber, setSourceLineNumber`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContentQueryNode

    public ContentQueryNode(String name)

Method Detail

### getName

    public String getName()

### accept

    public Object accept(com.bea.p13n.expression.internal.parser.ast.Visitor visitor,
                         Object data)
                  throws com.bea.p13n.expression.internal.parser.ast.AstTraversalException

  Specified by:
    `accept` in class `com.bea.p13n.expression.internal.parser.ast.Node`
  Throws
    `com.bea.p13n.expression.internal.parser.ast.AstTraversalException`

### toString

    public String toString()

  Overrides:
    `toString` in class `com.bea.p13n.expression.internal.parser.ast.CompositeNode`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.